/*
 * KING_BG.H Version 1.01 (C)1995,1996 HUDSON SOFT
 * HuC6272(KING)BG面関連 Ｃコンパイラ用ヘッダーファイル(KING_BG.H)
 */

#ifndef _KING_BG_H_
#define _KING_BG_H_

#include	<system.h>

struct BGPRM {u_short kbgmode,kbgpri,sscr,size0,size1,size2,size3;};

void set_bg_prams(struct BGPRM *prm);

struct BGCGADR {u_short bat0,cg0,sbat0,scg0,bat1,cg1,
		  bat2,cg2,bat3,cg3;};
void set_bgcg_adrs(struct BGCGADR *adr);

struct BGSCRL {u_short bsx0,bsy0,bsx1,bsy1,bsx2,bsy2,bsx3,bsy3;};
void set_bg_scrls(struct BGSCRL *scrl);

struct AFIN {u_short afina,afinb,afinc,afind,afinx,afiny;};
void set_bg_afins(struct AFIN *afin);

void write_mp(int mpadr,u_short *mprg,int len);

void enable_mp( void );
void disable_mp( void );

#endif /* _KING_BG_H_ */
